%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name connected-react-router

Name: %{?scl_prefix}nodejs-connected-react-router
Version: 6.6.1
Release: 1%{?dist}
Summary: A Redux binding for React Router v4 and v5
License: MIT
Group: Development/Libraries
URL: https://github.com/supasate/connected-react-router#readme
Source0: https://registry.npmjs.org/connected-react-router/-/connected-react-router-6.6.1.tgz
Source1: https://registry.npmjs.org/immutable/-/immutable-3.8.2.tgz
Source2: https://registry.npmjs.org/js-tokens/-/js-tokens-4.0.0.tgz
Source3: https://registry.npmjs.org/loose-envify/-/loose-envify-1.4.0.tgz
Source4: https://registry.npmjs.org/object-assign/-/object-assign-4.1.1.tgz
Source5: https://registry.npmjs.org/prop-types/-/prop-types-15.8.1.tgz
Source6: https://registry.npmjs.org/react-is/-/react-is-16.13.1.tgz
Source7: https://registry.npmjs.org/seamless-immutable/-/seamless-immutable-7.1.4.tgz
Source8: nodejs-connected-react-router-%{version}-registry.npmjs.org.tgz
BuildRequires: %{?scl_prefix_nodejs}npm
%if 0%{!?scl:1}
BuildRequires: nodejs-packaging
%endif
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}
Provides: bundled(npm(connected-react-router)) = 6.6.1
Provides: bundled(npm(immutable)) = 3.8.2
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(seamless-immutable)) = 7.1.4
AutoReq: no
AutoProv: no

%if 0%{?scl:1}
%define npm_cache_dir npm_cache
%else
%define npm_cache_dir /tmp/npm_cache_%{name}-%{version}-%{release}
%endif

%description
%{summary}

%prep
mkdir -p %{npm_cache_dir}
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
for tgz in %{sources}; do
  echo $tgz | grep -q registry.npmjs.org || npm cache add --cache %{npm_cache_dir} $tgz
done
%{?scl:end_of_scl}

%setup -T -q -a 8 -D -n %{npm_cache_dir}

%build
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
npm install --legacy-peer-deps --cache-min Infinity --cache %{?scl:../}%{npm_cache_dir} --no-shrinkwrap --no-optional --global-style true %{npm_name}@%{version}
%{?scl:end_of_scl}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/node_modules %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/esm %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/immutable.d.ts %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/immutable.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/index.d.ts %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/seamless-immutable.d.ts %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/seamless-immutable.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/umd %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/webpack.config.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%clean
rm -rf %{buildroot} %{npm_cache_dir}

%files
%{nodejs_sitelib}/%{npm_name}
%license node_modules/%{npm_name}/LICENSE.md
%doc node_modules/%{npm_name}/ACKNOWLEDGE.md
%doc node_modules/%{npm_name}/CODE_OF_CONDUCT.md
%doc node_modules/%{npm_name}/FAQ.md
%doc node_modules/%{npm_name}/README.md

%changelog
* Thu Jun 19 2025 MariaAga <mariaaga@redhat.com> 6.6.1-1
- Add nodejs-connected-react-router generated by npm2rpm using the bundle strategy

